import 'package:flutter/foundation.dart';
import 'package:flutter_flex_cart/src/customer.dart';

/// Billable mixin
/// * [C] CoreCustomer<W>
/// * [ID] Customer ID type
mixin Billable<C extends CoreCustomer<ID>, ID> on ChangeNotifier {
  /// [C] [customer] for billing purposes
  late C? _customer;

  C? get customer => _customer;

  void setCustomer(C customer) {
    _customer = customer;
    notifyListeners();
  }
}
