import 'package:flutter_flex_cart/flutter_flex_cart.dart';

/// Core Cart Base with Billable class
/// This class help to keep the state of the cart.
/// If you want to add customer details use billable with cart.
/// * [D] CoreDetail<I,ID>
/// * [ITEM] CoreItem<ID>
/// * [ID] Core Item ID type
/// * [C] CoreCustomer<ID> type
/// * [CID] CoreCustomer ID type
abstract class CoreCartWithCustomer<
    D extends CoreDetail<ITEM, ID>,
    ITEM extends CoreItem<ID>,
    ID,
    C extends CoreCustomer<CID>,
    CID> extends CoreCartBase<D, ITEM, ID> with Billable<C, CID> {}
