import 'package:flutter_flex_cart/flutter_flex_cart.dart';
import 'package:flutter_test/flutter_test.dart';

import 'mocks/item.dart';
import 'testing/detail.dart';

void main() {
  group(CoreDetail, () {
    late CoreDetail detail;

    setUp(() {
      detail = ProductDetail(item: item1);
    });

    test('should increase qty', () {
      detail.increaseQty(increment: 2);

      expect(3, detail.qty);
    });

    test('should not increase qty if the value is less than min', () {
      detail = ProductDetail(item: item1, qty: 0);
      detail.increaseQty(increment: 0.001);

      expect(0, detail.qty);
    });

    test('should increase qty if the value is greater than min and less than 1',
        () {
      detail = ProductDetail(item: item1, qty: 0);
      detail.increaseQty(increment: 0.01);

      expect(0.01, detail.qty);
    });

    test('should update lineTotal', () {
      expect(10, detail.lineTotal);
    });

    test('should reflect the correct unitPrice', () {
      detail.discount = 2;

      expect(8, detail.unitPrice);
      expect(8, detail.lineTotal);
    });

    test('should return item price', () {
      expect(10, detail.price);
    });
  });
}
