import 'package:flutter_flex_cart/flutter_flex_cart.dart';
import 'package:flutter_test/flutter_test.dart';

import 'mocks/payment.dart';
import 'testing/payments.dart';

void main() {
  group(Payable, () {
    late Payable<Payment> payable;

    setUp(() {
      payable = Payments([]);
    });

    test('should initialize correctly', () {
      expect(0, payable.totalPayments);
    });

    test('should be able to add payment', () {
      payable.addPayment(
        Payment(amount: 100),
      );

      expect(100, payable.totalPayments);
    });

    test('should be able to remove payment', () {
      payable.addPayment(
        Payment(amount: 100),
      );
      payable.addPayment(
        Payment(amount: 200),
      );

      payable.removePayment(0);

      expect(200, payable.totalPayments);
      expect(1, payable.noOfPayments);
    });

    test('should clear payments when reset', () {
      payable.addPayment(
        Payment(amount: 100),
      );
      payable.reset();

      expect(0, payable.totalPayments);
      expect(0, payable.noOfPayments);
    });
  });
}
